# Scripts and deposited data 

This directory contains R and python scripts along with the data necessary to 
generate the results described in the manuscript: 'cholesteryl ester transfer
protein (CETP) as a drug target for cardiovascular disease'. 

## Directory content 

.
├── README.md
├── scripts
├── figures
├── MR_data
├── TRIAL_data
└── PICKLED_data

The `scripts` directory contains the computer codes necessary to 
generate the figures which get saved to the `figures` directory.

The scripts source data from the `MR_data` and `TRIAL_data` directories. 
The `PICKLED_data` directory contains the python pickled files from 
which we extracted the .csv files in `MR_data` -- these files can be ignored. 

## Computer scripts

The directory root contains various R (.R) and python (.py) scripts that 
will process the data files. 

It also contains a `cetp_conda_env.yml` file to conda install the 
necessary R and python modules:

```
cd scripts
conda env create -f cetp_conda_env.yml 
```

This creates the `cetp` conda environment. 

To generate the figures, please run the following `bash` script:

```
# run from the scripts directory
./run_scripts.sh
```

### Input and output

* scripts/MR_heatmap.py
:    Takes the MR_data .tsv files and returns Figures 2 and 5.
* scripts/MR_metabolites.R
:    Takes the MR_data .tsv/csv files and returns Figure 4.
* scripts/MR_forestplots.R
:    Takes the MR_data .tsv files and returns Figure 3.
* scripts/RCT_forestplots.R
:    Takes the TRIAL_data .xlsx files and returns Figure 1.


## Contact

Please contact Floriaan Schmidt for any queries: amand.schmidt@ucl.ac.uk . 
