options(repos = c(CRAN ="https://cloud.r-project.org/"))

# data managment
if(!require("dplyr")){ install.packages("dplyr", dependencies = T); library("dplyr")}
if(!require("magrittr")){ install.packages("magrittr", dependencies = T); library("magrittr")}
if(!require("readr")){ install.packages("readr", dependencies = T); library("readr")}

# graphics
if(!require("ggplot2")){ install.packages("ggplot2", dependencies = T); library("ggplot2")}
if(!require("cowplot")){ install.packages("cowplot", dependencies = T); library("cowplot")}
if(!require("RColorBrewer")){ install.packages("RColorBrewer", dependencies = T); library("RColorBrewer")}
if(!require("wesanderson")){ install.packages("wesanderson", dependencies = T); library("wesanderson")}

# ---- ggplot defaults
theme_update(
             plot.title = element_text(size = 10, face = "bold"), # should you want a plot title
             plot.subtitle = element_text(size = 6, face = "italic"),
             panel.background = element_blank(), # legend.title
             panel.grid.major = element_line(size = (0.3), colour="grey"),
             axis.line = element_line(colour = "black"),
             legend.background = element_rect(fill = "transparent"), # get rid of legend bg
             legend.key = element_blank(),
             legend.key.size = unit(0.2, "cm"), # size grey box size)
             strip.background = element_rect(fill = "transparent")
)

# ---- default colours
colours_AFS <- (c("#000000","#00AFBB", "#E7B800", "#FC4E07", "#E69F00", "#56B4E9", "#009E73",
                    "#F0E442", "#0072B2", "#D55E00", "#CC79A7"))

colours_blind <- c("#999999", "#E69F00", "#56B4E9", "#009E73",
                    "#F0E442", "#0072B2", "#D55E00", "#CC79A7")

# ---- Round function with trailing digits, returns a character
CharRound <- function(No,  # the numeric to round
                      r =2    # the number of decimals
){
  
  if(class(No) != "numeric") {
    No <- as.numeric(No)
    warning("Transformed non-numeric to numeric; perhaps check input?")
  }
  sf <- paste0("%.",r,"f")
  return(sprintf(sf,round(No, r)))
}
