#!/bin/bash
# a script to (re-)generate most results, please run from root
### exit when any command fails
set -e

### HERE
HERE="$( cd -- "$(dirname "run_scripts")" >/dev/null 2>&1 ; pwd -P )"
echo "Running files from: ${HERE}"

### PYTHON interperter
PYTHON="${HOME}/miniconda3/envs/cetp/bin/python3"
R="${HOME}/miniconda3/envs/cetp/bin/Rscript"

### scripts that will be run
STEP1="${HERE}/MR_heatmap.py"
STEP2="${HERE}/MR_metabolites.R"
STEP3="${HERE}/MR_forestplots.R"
STEP4="${HERE}/RCT_forestplots.R"

### Setting environment
eval "$(command conda 'shell.bash' 'hook' 2> /dev/null)"

# formatting the data
echo "Running: ${STEP1}"
${PYTHON} ${STEP1}

# getting heatmap data
echo "Running: ${STEP2}"
${R} ${STEP2}

# getting volcano plot
echo "Running: ${STEP3}"
${R} ${STEP3}

# tisue specificity
echo "Running: ${STEP4}"
${R} ${STEP4}

# finished
echo
echo
echo "### FINISHED ###"
# # replication table
# echo "Running: ${STEP5}"
# ${PYTHON} ${STEP5}

